Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.imageviewer
Class ScrollGUI

    java.lang.Object
      |
      +--com.vistech.imageviewer.ScrollGUI

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

public class ScrollGUI
extends java.lang.Object
implements java.awt.event.MouseListener, java.awt.event.MouseMotionListener

Implements a GUI for scrolling images on a canvas.

Version:
  1.0 1 Nov 1999
Author:
  Lawrence Rodrigues

Field Summary
`protected boolean` | `mousePressed`
`protected ScrollController` | `scrollController`
`protected boolean` | `scrollOn`

Constructor Summary
`ScrollGUI(ScrollController c)`

Method Summary
`boolean` | `getScrollOn()`
`void` | `init()`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `reset()`
`void` | `setScrollOn(boolean onOff)`
`void` | `startScroll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scrollController

    protected ScrollController scrollController

### scrollOn

    protected boolean scrollOn

### mousePressed

    protected boolean mousePressed

Constructor Detail

### ScrollGUI

    public ScrollGUI(ScrollController c)

Method Detail

### setScrollOn

    public void setScrollOn(boolean onOff)

### init

    public void init()

### getScrollOn

    public boolean getScrollOn()

### startScroll

    public void startScroll()

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`

### reset

    public void reset()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD